<template>
  <header
    class="flex flex-col items-center align-middle relative text-center text-gray-700 dark:text-slate-100"
  >
    <interface-language-dropdown />

    <logo :class="{ 'lg:hidden': smallFormat }" class="block" />

    <template v-if="!smallFormat">
      <div>
        <p
          v-html="
            $gettext(
              'A search engine of %{linkStart}Mobilizon%{linkEnd} events and groups',
              { linkStart: mobilizonLinkStart, linkEnd },
              true
            )
          "
        />
        <p
          v-html="$gettext('Developed by %{framasoft}', { framasoft }, true)"
        />
      </div>

      <div class="w-96 -mb-[4px] z-50">
        <img
          v-if="searchImageUrl"
          :src="searchImageUrl"
          alt=""
          width="384"
          height="184"
        />
      </div>
    </template>
  </header>
</template>

<script setup lang="ts">
  import InterfaceLanguageDropdown from './InterfaceLanguageDropdown.vue'
  import { inject, computed } from 'vue'
  import { buildApiUrl } from '../shared/utils'
  import { ServerConfig } from '../../../shared'
  import Logo from './Logo.vue'

  defineProps({
    smallFormat: {
      type: Boolean,
      required: false,
    },
  })

  const config = inject<ServerConfig>('config')

  const searchImageUrl = computed(() =>
    config.searchInstanceSearchImage
      ? buildApiUrl(config.searchInstanceSearchImage)
      : '/img/search-rose.png'
  )

  const linkEnd = '</a>'
  const mobilizonLinkStart = `<a class="font-bold underline" href="https://joinmobilizon.org" target="_blank">`
  const framasoft = `<a class="font-bold underline decoration-white p-0.5" href="https://framasoft.org" target="_blank">
    <span class="text-frama-violet">Frama</span><span class="text-frama-orange">soft</span>
  </a>`
</script>
